Skip to main content
`Ctrl`+`K`

# PETSCPARTITIONERPARMETIS

“parmetis” - A PetscPartitioner object using the ParMETIS library

## Options Database Keys

- -petscpartitioner_parmetis_type (kway|rb) - ParMETIS partitioning type.

- -petscpartitioner_parmetis_imbalance_ratio value - Load imbalance ratio limit

- -petscpartitioner_parmetis_debug level - Debugging flag passed to ParMETIS/METIS routines

- -petscpartitioner_parmetis_seed seed - Random seed

Notes: when the graph is on a single process, this partitioner actually calls METIS and not ParMETIS

## See Also

`PetscPartitionerType`, `PetscPartitionerCreate()`, `PetscPartitionerSetType()`

## Level

intermediate

## Location

src/dm/partitioner/impls/parmetis/partparmetis.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages